%define is_snapshot 0

%if %{is_snapshot}
  # openi18n upstream svn revision number
  %define revision 2002
  %define branch trunk-
  %define srclabel src-%{branch}%{revision}
%else
  #%%define branch r%(echo `echo %{version} | sed -e 's/[.]/_/g'`)-svn
  #%%define srclabel src-%{branch}%{revision}
  %define branch r%(echo `echo %{version} | sed -e 's/[.]/_/g'`)
  %define srclabel src-%{branch}
%endif

%define package_iiimqcf 0
%define package_iiimecf 1

Summary: IIIMF multilingual Unicode input method framework
Name: im-sdk
Epoch: 1
Version: 12.1
Release: 4
License: Distributable
Source: %{name}-%{srclabel}.tgz
Source3: iiimecf-init.el
Source4: xinput.d-iiimf
Source5: README.iiimecf
Source6: gimlet-lang-data.h
URL: http://www.openi18n.org/subgroups/im/IIIMF/
Group: Applications/System
#Requires: intltool >= 0:0.29-1
Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: tcp_wrappers
BuildRequires: Canna-devel >= 3.7p1-6
# for iiimgcf
BuildRequires: gtk2-devel, GConf2-devel
# for gimlet:
BuildRequires: gnome-panel-devel, libglade2-devel, libgnomeui-devel
BuildRequires: automake16, libtool, gettext, libxml2-devel
%if %{package_iiimqcf}
Buildrequires: qt-devel
%endif
%if %{package_iiimecf}
BuildRequires: emacs
%endif
Patch0: im-sdk-20040203-build.patch
Patch3: im-sdk-20030618-varargs.patch
Patch5: im-sdk-64bit.patch
Patch12: im-sdk-xft-ac.patch
Patch13: im-sdk-12.1-x-xft.patch
Patch15: im-sdk-bin_dir.patch
Patch24: im-sdk-11.4-iiimsf-daemon.patch
# doesn't apply anymore
Patch28: im-sdk-12.0.1-iiimp-disable-debug.patch
Patch36: iiimsf-rh-debuginfo.patch
Patch37: iiim.init-retryonerror.patch
Patch38: im-sdk-12.1-preserve-FLAGS.patch
Patch39: im-sdk-12.1-x86-64-vararg.patch

## iiimgcf

## for gimlet

## for iiimqcf
Patch150: iiimqcf.pro-build.patch

## Switches to control building of LEs
# FreeWnn LE (no candidate window yet and Ctrl-Space doesn't turn off)
%define package_freewnn_le 0
# Chinese and Korean Sun LEs (currently cause iiim to hang)
%define package_sun_le_zh 0
%define package_sun_le_ko 0
# newpy
%define package_newpy_le 0
# Chewing LE
%define package_chewing_le 0

%if %{package_freewnn_le}
Buildrequires: FreeWnn-devel, flex
%endif

## LE patches:
# for Canna LE
## Patch204 has been reverted in rev1966
Patch204: im-sdk-12.0.1-canna-aux-refcount.patch
# for hangul LE
# for NewPY LE
# for Unit LE
Patch350: leif-unit-revert-1961~1971.patch
# for Sun Chinese LEs
Patch400: im-sdk-11.4-sun-le-asia.patch
# for Sun Korean LE
Patch401: im-sdk-11.4-sun-le-korean.patch
# for Chewing LE
# for FreeWnn LE
# for dummy LE

%description
IIIMF is a next generation multilingual Unicode input method framework,
which is a replacement of existing input method frameworks such as XIM.
This IIIMF implementation includes Language Engines for various Asian
languages allowing one to switch between inputting complex characters
in a number of different languages in supported applications.

%package -n iiimf-csconv
Summary: Codeset Conversion modules for IIIMF components
Group: System Environment/Libraries

%description -n iiimf-csconv
Provides Codeset Conversion modules for IIIMF components.

%package -n iiimf-docs
Summary: IIIMF documentation
Group: Documentation

%description -n iiimf-docs
Provides IIIMF documentation

%if %{package_iiimecf}
%package -n iiimf-emacs
Summary: Internet/Intranet Input Method Emacs Client Framework
Group: Applications/Editors

%description -n iiimf-emacs
IIIMECF provides an Emacs library to make IIIM aware applications and
iiimcf-sc, a simple input method library controlled by IIIM server(s).
%endif

%package -n iiimf-gnome-im-switcher
Summary: GNOME panel IM switcher and IM configuration tool
Group: User Interface/X

%description -n iiimf-gnome-im-switcher
GNOME panel input method applet and gnome input method configuration tool.

%package -n iiimf-gtk
Summary: GTK input method module for iiimf
Group: User Interface/X
Requires(post,preun): %{_sbindir}/alternatives
Requires: iiimf-libs

%description -n iiimf-gtk
Gtk Input Method Context for IIIM provides GUI to display input method 
status and to select input languages in your Gtk+ applicaitons.

%package -n iiimf-libs
Summary: Internet/Intranet Input Method Framework libraries
Group: System Environment/Libraries
Obsoletes: iiimf-client-lib, iiimf-protocol-lib

%description -n iiimf-libs
Provides Internet/Intranet Input Method Client Framework library.

%package -n iiimf-libs-devel
Summary: Internet/Intranet Input Method development files
Group: Development/Libraries
Obsoletes: iiimf-client-lib-devel, iiimf-protocol-lib-devel
Requires: iiimf-libs = %{epoch}:%{version}-%{release}

%description -n iiimf-libs-devel
This package contains development files for IIIMF.

%if %{package_iiimqcf}
%package -n iiimf-qt
Summary: Qt Input Method module
Group: User Interface/X
#Requires(post,preun): %{_sbindir}/alternatives

%description -n iiimf-qt
Qt Input Method module for iiimf.
%endif

%package -n iiimf-server
Summary: IIIMF input method server
Group: Applications/System
Requires: iiimf-csconv
Obsoletes: im-sdk
Requires(pre): /usr/sbin/useradd, /usr/sbin/usermod
Requires(post): /sbin/chkconfig
Requires(preun): /sbin/service, /sbin/chkconfig, /usr/sbin/userdel
Requires(postun): /sbin/service

%description -n iiimf-server
IIIMF server is a server module of Internet/Intranet Input Method Framework.

%package -n iiimf-x
Summary: IIIMF XIM BackEnd module
Group: User Interface/X
Requires(post,preun): %{_sbindir}/alternatives
Requires: iiimf-libs

%description -n iiimf-x
Provides XIM bridge modules through which legacy XIM clients should
be able to communicate to IIIMF server.

# primary Language Engine (LE) subpackages

%package -n iiimf-le-canna
Summary: Japanese Canna engine for iiimf-server
Group: System Environment/Libraries
Requires: iiimf-server
Requires(post): %{_bindir}/iiimf-le-tools, %{_bindir}/killall
Requires(preun): %{_bindir}/iiimf-le-tools
Requires(postun): %{_bindir}/killall

%description -n iiimf-le-canna
Provides Japanese Canna engine for iiimf-server

%package -n iiimf-le-hangul
Summary: Korean language engine for iiimf-server
Group: System Environment/Libraries
Requires: iiimf-server
Requires(post): %{_bindir}/iiimf-le-tools, %{_bindir}/killall
Requires(preun): %{_bindir}/iiimf-le-tools
Requires(postun): %{_bindir}/killall

%description -n iiimf-le-hangul
Provides Korean language engine for iiimf-server

%package -n iiimf-le-unit
Summary: Unit language engine for iiimf-server
Group: System Environment/Libraries
Requires: iiimf-server
Requires(post): %{_bindir}/iiimf-le-tools, %{_bindir}/killall
Requires(preun): %{_bindir}/iiimf-le-tools
Requires(postun): %{_bindir}/killall

%description -n iiimf-le-unit
Provides Unit language engine for iiimf-server.

%package -n iiimf-le-sun-thai
Summary: Thai language engine from Sun for iiimf-server
Group: System Environment/Libraries
Requires: iiimf-server
Requires(post): %{_bindir}/iiimf-le-tools, %{_bindir}/killall
Requires(preun): %{_bindir}/iiimf-le-tools
Requires(postun): %{_bindir}/killall
Obsoletes: iiimf-le-sun-asia

%description -n iiimf-le-sun-thai
Thai language engine from Sun for iiimf-server

# secondary LEs

%if %{package_freewnn_le}
%package -n iiimf-le-freewnn
Summary: Japanese FreeWnn engine for iiimf-server
Group: System Environment/Libraries
Requires: iiimf-server
Requires(post): %{_bindir}/iiimf-le-tools, %{_bindir}/killall
Requires(preun): %{_bindir}/iiimf-le-tools
Requires(postun): %{_bindir}/killall

%description -n iiimf-le-freewnn
Provides Japanese FreeWnn engine for iiimf-server
%endif

%if %{package_newpy_le}
%package -n iiimf-le-newpy
Summary: New Pinyin language engine for iiimf-server
Group: System Environment/Libraries
Requires: iiimf-server
Requires(post): %{_bindir}/iiimf-le-tools, %{_bindir}/killall
Requires(preun): %{_bindir}/iiimf-le-tools
Requires(postun): %{_bindir}/killall

%description -n iiimf-le-newpy
Provides New Pinyin language engine for iiimf-server
%endif

%if %{package_sun_le_ko}
%package -n iiimf-le-sun-korea
Summary: Korean language engine from Sun for iiimf-server
Group: System Environment/Libraries
Requires: iiimf-server
Requires(post): %{_bindir}/iiimf-le-tools, %{_bindir}/killall
Requires(preun): %{_bindir}/iiimf-le-tools
Requires(postun): %{_bindir}/killall

%description -n iiimf-le-sun-korea
Provides Korean language engine from Sun for iiimf-server
%endif

%if %{package_sun_le_zh}
%package -n iiimf-le-sun-chinese
Summary: Chinese language engines from Sun for iiimf-server
Group: System Environment/Libraries
Requires: iiimf-server
Requires(post): %{_bindir}/iiimf-le-tools, %{_bindir}/killall
Requires(preun): %{_bindir}/iiimf-le-tools
Requires(postun): %{_bindir}/killall
Obsoletes: iiimf-le-sun-asia

%description -n iiimf-le-sun-chinese
Provides Chinese language engines from Sun for iiimf-server
%endif

%if %{package_chewing_le}
%package -n iiimf-le-chewing
Summary: Chewing Chinese language engine for iiimf-server
Group: System Environment/Libraries
Requires: iiimf-server
Requires(post): %{_bindir}/iiimf-le-tools, %{_bindir}/killall
Requires(preun): %{_bindir}/iiimf-le-tools
Requires(postun): %{_bindir}/killall

%description -n iiimf-le-chewing
Provides Chewing Chinese language engine for iiimf-server
%endif

%define im_dir %{_libdir}/im
%define im_includedir %{im_dir}/include

%define indic_locale bn_BD bn_IN gu_IN hi_IN kn_IN ml_IN pa_IN ta_IN te_IN
%define iiimf_locale %{indic_locale} ja_JP ko_KR zh_CN zh_TW 

%define inst_xinput for llcc in %{iiimf_locale}; do alternatives --install %{_sysconfdir}/X11/xinit/xinput.d/$llcc xinput-$llcc %{_sysconfdir}/X11/xinit/xinput.d/iiimf 80 ; done

%define uninst_xinput for llcc in %{iiimf_locale}; do alternatives --remove xinput-$llcc %{_sysconfdir}/X11/xinit/xinput.d/iiimf ; done

%define sendhup	%{_bindir}/killall -HUP htt_server >& /dev/null || :
%define instle %{_bindir}/iiimf-le-tools --install %{im_dir}/leif/
%define uninstle %{_bindir}/iiimf-le-tools --remove %{im_dir}/leif/

%prep
%setup -q -n %{name}-%{srclabel}
%patch0 -p1
%patch3 -p1 -b .varargs
%patch5 -p1 -b .64
%patch12 -p1 -b .xft-ac
%patch13 -p1 -b .x-xft
%patch15 -p1 -b .bindir
%patch24 -p1 -b .daemon
#%%patch28 -p1 -b .disable-debug
%patch36 -p1 -b .rh-debuginfo
%patch37 -p1 -b .retryno
%patch38 -p1 -b .flags
%patch39 -p1 -b .vararg

## iiimgcf

## Gimlet patches
cp -p %SOURCE6 gnome-im-switcher/src

# iiiqcf patches
%patch150 -p1 -b .orig

## LE patches:

# Canna LE patches
#%patch204 -p1 -b .canna-aux-refcount

# Hangul LE patches

# NewPy LE patches

# Unit LE patches
%patch350 -p1 -b .revert-per-user-config

# Sun LE
## always need to be applied to build with/without -le-asia and le-korea
%patch400 -p1 -b .sun-le-asia
%patch401 -p1 -b .sun-le-korean

# Chewing LE

# FreeWnn LE

# dummy LE

%build
export CFLAGS="-Wall $RPM_OPT_FLAGS"
export CXXFLAGS="-Wall $RPM_OPT_FLAGS"

# /usr/lib or /usr/lib64 substitution
# TODO: This could be done in a cleaner way...
if [ %{im_dir} != "/usr/lib/im" ]; then
  find . -type f | xargs grep -l "/usr/lib/im" | \
	xargs perl -pi -e "s|/usr/lib/im|%{im_dir}|g;"
fi

#make prefix=%{im_dir} config build

make update-acfiles

make config CONFIGDIRS="lib/EIMIL lib/iiimp lib/iiimcf \
  iiimsf leif \
  leif/sun_le_korea \
  leif/sun_le_asia \
  iiimxcf/xiiimp.so iiimxcf/htt_xbe"

%define configure ./configure --prefix=%{im_dir} --bindir=%{_bindir} --includedir=%{im_includedir} --sbindir=%{_sbindir} --sysconfdir=%{_sysconfdir} --localstatedir=%{_localstatedir} --libexecdir=%{_libexecdir}

cd lib/CSConv
%configure
make
cd ../..

cd lib/EIMIL
%configure
make
cd ../..

cd lib/iiimp
%configure
make
cd ../..

cd lib/iiimcf
%configure
make
cd ../..

cd iiimsf
automake-1.6
autoconf
%configure
make SRCNAME="%{name}-%{srclabel}"
cd ..

cd iiimxcf/xiiimp.so
#sh ./autogen.sh --prefix=%{im_dir}
%configure
make
cd ../..

cd iiimxcf/htt_xbe
%configure
make
cd ../..

cd iiimgcf
./autogen.sh --prefix=%{_prefix} --sysconfdir=%{_sysconfdir} --libdir=%{_libdir}
make
cd ..

cd gnome-im-switcher
./autogen.sh --prefix=%{_prefix} --sysconfdir=%{_sysconfdir} --libdir=%{_libdir} --with-status-default-under-app
make
cd ..

cd doc
./autogen.sh --prefix=%{_prefix}
make
cd ..

%if %{package_iiimecf}
cd iiimecf
emacs -q --no-site-file -batch -l iiimcf-comp.el
cd ..
%endif

%if %{package_iiimqcf}
cd iiimqcf/src
# make sure QTDIR is set correctly (needed in buildserver buildroots)
unset QTDIR && . /etc/profile.d/qt.sh
## why doesn't this work in buildsystem?
#%%global qt_im_dir %(echo $QTDIR)/plugins/inputmethods
%global qt_im_dir %{_libdir}/qt-3.3/plugins/inputmethods
LIBDIR=%{_libdir} qmake
make
cd ../..
%endif

cd leif
%configure
make
cd ..

cd leif/sun_le_korea
./configure --prefix=%{_libdir}
make
cd ../..

cd leif/sun_le_asia
./configure --prefix=%{_libdir}
make
cd ../..

%install
rm -rf ${RPM_BUILD_ROOT}

cd lib/CSConv
make DESTDIR=$RPM_BUILD_ROOT install
cd ../..

cd lib/EIMIL
make DESTDIR=$RPM_BUILD_ROOT install
cd ../..

cd lib/iiimp
make DESTDIR=$RPM_BUILD_ROOT install
cd ../..

cd lib/iiimcf
make DESTDIR=$RPM_BUILD_ROOT install
cd ../..

cd iiimsf
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/
cp sys/RedHat/iiim $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT{%{_bindir},%{_sbindir}}
mv $RPM_BUILD_ROOT%{im_dir}/htt $RPM_BUILD_ROOT%{_sbindir}
mv $RPM_BUILD_ROOT%{im_dir}/htt_server $RPM_BUILD_ROOT%{_sbindir}
#mv $RPM_BUILD_ROOT%{im_dir}/bin/iiimf-le-tools $RPM_BUILD_ROOT%{_bindir}
cd ..

cd iiimxcf/xiiimp.so
make DESTDIR=$RPM_BUILD_ROOT install
# remove unwanted devel files
rm $RPM_BUILD_ROOT%{im_dir}/xiiimp.{a,la}
cd ../..

cd iiimxcf/htt_xbe
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mv $RPM_BUILD_ROOT%{im_dir}/{httx,htt_xbe} $RPM_BUILD_ROOT%{_bindir}
cd ../..

cd iiimgcf
make DESTDIR=$RPM_BUILD_ROOT install
rm $RPM_BUILD_ROOT/%{_libdir}/gtk-2.0/*/immodules/*.{a,la}
cd ..

cd gnome-im-switcher
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make DESTDIR=$RPM_BUILD_ROOT install
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL
cd ..

cd doc
make DESTDIR=$RPM_BUILD_ROOT install
cd ..

cd leif
make DESTDIR=$RPM_BUILD_ROOT install
cd ..

cd leif/sun_le_asia
make DESTDIR=$RPM_BUILD_ROOT install
cd ../..

%if %{package_sun_le_ko}
cd leif/sun_le_korea
make DESTDIR=$RPM_BUILD_ROOT install
cd ../..
%endif

%if %{package_iiimecf}
cd iiimecf/lisp
mkdir -p $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp/{iiimecf,site-start.d}
install *.el *.elc $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp/iiimecf
cd ../..
install %SOURCE3 $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp/site-start.d
cp -p %SOURCE5 iiimecf/README.socket
%endif

%if %{package_iiimqcf}
cd iiimqcf/src
install -d $RPM_BUILD_ROOT%{qt_im_dir}
install libiiimqcf.so $RPM_BUILD_ROOT%{qt_im_dir}
cd ../..
%endif

# install xinput.d file
install -D -m 644 %{SOURCE4} ${RPM_BUILD_ROOT}%{_sysconfdir}/X11/xinit/xinput.d/iiimf

# install xml docs
install -d $RPM_BUILD_ROOT%{_sysconfdir}/iiim
install -m 0644 iiimsf/src/le.xml.conf $RPM_BUILD_ROOT%{_sysconfdir}/iiim

# make ghost files
touch $RPM_BUILD_ROOT%{_sysconfdir}/{htt.conf,htt.conf.old}

# make sure dl modules are executable
chmod a+x $RPM_BUILD_ROOT%{im_dir}/leif/*.so

# removing the unnecessary files
rm $RPM_BUILD_ROOT%{_bindir}/*test

# include required devel files
mkdir -p $RPM_BUILD_ROOT%{im_includedir}
cp include/{IM*.h,syscfg.h} $RPM_BUILD_ROOT%{im_includedir}
cp -r include/iml $RPM_BUILD_ROOT%{im_includedir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/aclocal/iiimf
cp acfiles/check_*.m4 $RPM_BUILD_ROOT%{_datadir}/aclocal/iiimf

%if ! %{package_freewnn_le}
# exclude freewnn LE for now
rm -f $RPM_BUILD_ROOT%{im_dir}/leif/FreeWnnLE*
%endif

%if ! %{package_sun_le_zh}
rm $RPM_BUILD_ROOT%{im_dir}/leif/{cle,hkle,twle}.so
find $RPM_BUILD_ROOT%{im_dir}/locale/zh_CN ! -name newpy -exec rm -rf {} \;
rm -rf $RPM_BUILD_ROOT%{im_dir}/locale/zh_{HK,TW}
%endif

%if ! %{package_newpy_le}
rm -rf $RPM_BUILD_ROOT%{im_dir}/leif/newpy.* $RPM_BUILD_ROOT%{im_dir}/locale/zh_CN/newpy
%endif

%if ! %{package_chewing_le}
rm -rf $RPM_BUILD_ROOT%{im_dir}/leif/chewing.* $RPM_BUILD_ROOT%{im_dir}/lib/libchewing.so* $RPM_BUILD_ROOT%{im_dir}/share/chewing
%endif

%post -n iiimf-gnome-im-switcher
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2  --makefile-install-rule /etc/gconf/schemas/gnome-im-switcher.schemas > /dev/null

%post -n iiimf-gtk
[ -x "%{_bindir}/update-gtk-immodules" ] && %{_bindir}/update-gtk-immodules %{_arch}-%{_host_vendor}-%{_host_os}
[ -x "%{_bindir}/gtk-query-immodules-2.0" ] && %{_bindir}/gtk-query-immodules-2.0 > %{_sysconfdir}/gtk-2.0/gtk.immodules

%{inst_xinput}

%postun -n iiimf-gtk
[ -x "%{_bindir}/update-gtk-immodules" ] && %{_bindir}/update-gtk-immodules %{_arch}-%{_host_vendor}-%{_host_os}
[ -x "%{_bindir}/gtk-query-immodules-2.0" ] && %{_bindir}/gtk-query-immodules-2.0 > %{_sysconfdir}/gtk-2.0/gtk.immodules

if [ "$1" = 0 ]; then
   # remove alternative if iiimf-x isn't installed
   [ -r %{_sysconfdir}/X11/xinit/xinput.d/iiimf ] || %{uninst_xinput}
fi

%pre -n iiimf-server
if ! /usr/sbin/usermod -d %{im_dir} htt >/dev/null 2>&1; then
  /usr/sbin/useradd htt -c "IIIMF Htt" -r -s /sbin/nologin -d %{im_dir} -M >/dev/null 2>&1
fi

if [ -f "%{_sysconfdir}/htt.conf" ]; then
  mv %{_sysconfdir}/htt.conf %{_sysconfdir}/htt.conf.old
fi
exit 0

%post -n iiimf-server
/sbin/chkconfig --add iiim
%{instle}default.so --default --lang en >& /dev/null || :

%preun -n iiimf-server
if [ "$1" = 0 ] ; then
   %{uninstle}default.so >& /dev/null || :
  /sbin/service iiim stop >/dev/null 2>&1
  /sbin/chkconfig --del iiim
  /usr/sbin/userdel htt 2>/dev/null 2>&1
fi

%postun -n iiimf-server
if [ "$1" -ge "1" ]; then
  /sbin/service iiim condrestart >/dev/null 2>&1
fi

%post -n iiimf-x
%{inst_xinput}

%postun -n iiimf-x
if [ "$1" = 0 ]; then
   # remove alternative if iiimf-gtk isn't installed
   [ -r %{_sysconfdir}/X11/xinit/xinput.d/iiimf ] || %{uninst_xinput}
fi

%post -n iiimf-le-canna
%{instle}CannaLE.so --default >& /dev/null || :
%{sendhup}

%preun -n iiimf-le-canna
if [ "$1" = 0 ]; then
  %{uninstle}CannaLE.so >& /dev/null || :
fi

%postun -n iiimf-le-canna
if [ "$1" = 0 ]; then
  %{sendhup}
fi

%post -n iiimf-le-hangul
%{instle}hangul.so --default >& /dev/null || :
%{sendhup}

%preun -n iiimf-le-hangul
if [ "$1" = 0 ]; then
  %{uninstle}hangul.so >& /dev/null || :
fi

%postun -n iiimf-le-hangul
if [ "$1" = 0 ]; then
  %{sendhup}
fi

%post -n iiimf-le-unit
%{instle}unitle.so >& /dev/null || :
%{sendhup}

%preun -n iiimf-le-unit
if [ "$1" = 0 ]; then
  %{uninstle}unitle.so >& /dev/null || :
fi

%postun -n iiimf-le-unit
if [ "$1" = 0 ]; then
  %{sendhup}
fi

%post -n iiimf-le-sun-thai
%{instle}thaile.so >& /dev/null || :
%{sendhup}

%preun -n iiimf-le-sun-thai
if [ "$1" = 0 ]; then
  %{uninstle}thaile.so >& /dev/null || :
fi

%postun -n iiimf-le-sun-thai
if [ "$1" = 0 ]; then
  %{sendhup}
fi

%if %{package_freewnn_le}
%post -n iiimf-le-freewnn
%{instle}FreeWnnLE.so >& /dev/null || :
%{sendhup}

%preun -n iiimf-le-freewnn
if [ "$1" = 0 ]; then
  %{uninstle}FreeWnnLE.so >& /dev/null || :
fi

%postun -n iiimf-le-freewnn
if [ "$1" = 0 ]; then
  %{sendhup}
fi
%endif

%if %{package_newpy_le}
%post -n iiimf-le-newpy
%{instle}newpy.so >& /dev/null || :
%{sendhup}

%preun -n iiimf-le-newpy
if [ "$1" = 0 ]; then
  %{uninstle}newpy.so >& /dev/null || :
fi

%postun -n iiimf-le-newpy
if [ "$1" = 0 ]; then
  %{sendhup}
fi
%endif

%if %{package_sun_le_ko}
%post -n iiimf-le-sun-korea
%{instle}kole.so >& /dev/null || :
%{sendhup}

%preun -n iiimf-le-sun-korea
if [ "$1" = 0 ]; then
  %{uninstle}kole.so >& /dev/null || :
fi

%postun -n iiimf-le-sun-korea
if [ "$1" = 0 ]; then
  %{sendhup}
fi
%endif

%if %{package_sun_le_zh}
%post -n iiimf-le-sun-chinese
%{instle}cle.so >& /dev/null || :
%{instle}hkle.so >& /dev/null || :
%{instle}twle.so >& /dev/null || :
%{sendhup}

%preun -n iiimf-le-sun-chinese
if [ "$1" = 0 ]; then
  %{uninstle}cle.so >& /dev/null || :
  %{uninstle}hkle.so >& /dev/null || :
  %{uninstle}thaile.so >& /dev/null || :
  %{uninstle}twle.so >& /dev/null || :
fi

%postun -n iiimf-le-sun-chinese
if [ "$1" = 0 ]; then
  %{sendhup}
fi
%endif

%if %{package_chewing_le}
%post -n iiimf-le-chewing
%{instle}chewing.so >& /dev/null || :
%{sendhup}

%preun -n iiimf-le-chewing
if [ "$1" = 0 ]; then
  %{uninstle}chewing.so >& /dev/null || :
fi

%postun -n iiimf-le-chewing
if [ "$1" = 0 ]; then
  %{sendhup}
fi
%endif

%clean
rm -rf ${RPM_BUILD_ROOT}

%files -n iiimf-csconv
%defattr (-, root, root,-)
%dir %{im_dir}
%dir %{im_dir}/share
%{im_dir}/csconv
%{im_dir}/icuconv
%{im_dir}/share/icu

%files -n iiimf-docs
%defattr(-, root, root,-)
%{_datadir}/doc/IIIM

%if %{package_iiimecf}
%files -n iiimf-emacs
%defattr(-, root, root,-)
%doc iiimecf/{COPYING,lisp/ChangeLog,README*}
%{_datadir}/emacs/site-lisp
%endif

%files -n iiimf-gtk
%defattr (-, root, root,-)
%{_libdir}/gtk-2.0/*/immodules/im-iiim.so
%{_sysconfdir}/X11/xinit/xinput.d

%files -n iiimf-gnome-im-switcher
%defattr (-, root, root,-)
%doc gnome-im-switcher/{AUTHORS,COPYING,ChangeLog,README}
%{_sysconfdir}/gconf/schemas
%{_libdir}/bonobo
%{_libexecdir}
%{_datadir}/locale
%{_datadir}/gnome-2.0
%{_datadir}/gnome-im-switcher
%{_datadir}/gnome/help/imswitcher
%{_datadir}/omf/gnome-im-switcher
%{_bindir}/gnome-im*
%{_datadir}/control-center-2.0
%{_datadir}/icons/hicolor
%{_datadir}/pixmaps

%files -n iiimf-libs
%defattr (-, root, root,-)
%dir %{im_dir}
%dir %{im_dir}/lib
%{im_dir}/lib/libEIMIL*so.*
%{im_dir}/lib/libiiimcf*.so.*
%{im_dir}/lib/libiiimp*so.*

%files -n iiimf-libs-devel
%defattr (-, root, root,-)
%dir %{im_dir}
%{im_includedir}
%dir %{im_dir}/lib
%{im_dir}/lib/*.a
%{im_dir}/lib/*.la
%{im_dir}/lib/*.so
%{_datadir}/aclocal/iiimf

%if %{package_iiimqcf}
%files -n iiimf-qt
%defattr (-, root, root,-)
%{qt_im_dir}
%endif

%files -n iiimf-server
%defattr (-, htt, htt)
%dir %{_localstatedir}/run/iiim
%dir %{_localstatedir}/log/iiim
%defattr (-, root, root,-)
%dir %{_sysconfdir}/iiim
%dir %{_libexecdir}
%{_sysconfdir}/rc.d/init.d/*
%ghost %config(missingok,noreplace) %verify(not md5 size mtime) %{_sysconfdir}/htt.conf
%ghost %config(missingok,noreplace) %verify(not md5 size mtime) %{_sysconfdir}/htt.conf.old
%config(noreplace) %verify(not md5 size mtime) %{_sysconfdir}/iiim/htt.xml.conf
%config(noreplace) %verify(not md5 size mtime) %{_sysconfdir}/iiim/le.xml.conf
%{_sbindir}/htt
%{_sbindir}/htt_server
%{_bindir}/iiimf-le-tools
%{_libexecdir}/iiimf-segv-logger
%dir %{im_dir}/leif
%{im_dir}/leif/default*
%dir %{im_dir}/share
%dir %{im_dir}/share/iiim
%{im_dir}/share/iiim/gdbcmd

%files -n iiimf-x
%defattr (-, root, root,-)
%dir %{im_dir}
#%{_sysconfdir}/iiim/xsession
%{_bindir}/httx
%{_bindir}/htt_xbe
%{im_dir}/xiiimp.so*
%{_sysconfdir}/X11/xinit/xinput.d

# primary LEs

%files -n iiimf-le-canna
%defattr (-, root, root,-)
%dir %{im_dir}
%dir %{im_dir}/leif
%dir %{im_dir}/locale
%dir %{im_dir}/locale/ja
%{im_dir}/leif/CannaLE*
%{im_dir}/locale/ja/CannaLE

%files -n iiimf-le-hangul
%defattr (-, root, root,-)
%dir %{im_dir}
%dir %{im_dir}/leif
%{im_dir}/leif/hangul.*
%dir %{im_dir}/locale
%dir %{im_dir}/locale/ko_KR
%{im_dir}/locale/ko_KR/hangul.conf
%{im_dir}/locale/ko_KR/tables

%files -n iiimf-le-unit
%defattr (-, root, root,-)
%dir %{im_dir}
%dir %{im_dir}/leif
%{im_dir}/leif/unitle.so
%dir %{im_dir}/locale
%{im_dir}/locale/UNIT

%files -n iiimf-le-sun-thai
%defattr (-, root, root,-)
%dir %{im_dir}
%dir %{im_dir}/leif
%{im_dir}/leif/thaile.*
%dir %{im_dir}/locale
%{im_dir}/locale/th_TH

# secondary LEs

%if %{package_freewnn_le}
%files -n iiimf-le-freewnn
%defattr (-, root, root,-)
%dir %{im_dir}
%dir %{im_dir}/leif
%{im_dir}/leif/FreeWnnLE*
%endif

%if %{package_newpy_le}
%files -n iiimf-le-newpy
%defattr (-, root, root,-)
%dir %{im_dir}
%dir %{im_dir}/leif
%{im_dir}/leif/newpy.*
%dir %{im_dir}/locale
%{im_dir}/locale/zh_CN/newpy
%endif

%if %{package_sun_le_ko}
%files -n iiimf-le-sun-korea
%defattr (-, root, root,-)
%dir %{im_dir}
%dir %{im_dir}/leif
%{im_dir}/leif/kole.*
%dir %{im_dir}/locale
%dir %{im_dir}/locale/ko_KR
%{im_dir}/locale/ko_KR/kole.conf
%{im_dir}/locale/ko_KR/sysime.cfg
%{im_dir}/locale/ko_KR/aux.*
%{im_dir}/locale/ko_KR/keyboard*
%{im_dir}/locale/ko_KR/common
%{im_dir}/locale/ko_KR/KeyboardAux
%{im_dir}/locale/ko_KR/OptionAux
%{im_dir}/locale/ko_KR/PaletteAux
%endif

%if %{package_sun_le_zh}
%files -n iiimf-le-sun-chinese
%defattr (-, root, root,-)
%dir %{im_dir}
%dir %{im_dir}/leif
%{im_dir}/leif/cle.*
%{im_dir}/leif/hkle.*
%{im_dir}/leif/twle.*
%dir %{im_dir}/locale
%{im_dir}/locale/zh_HK
%{im_dir}/locale/zh_TW
%{im_dir}/locale/zh_CN
%exclude %{im_dir}/locale/zh_CN/newpy
%endif

%if %{package_chewing_le}
%files -n iiimf-le-chewing
%defattr (-, root, root, -)
%dir %{im_dir}
%dir %{im_dir}/leif
%{im_dir}/leif/chewing.*
%dir %{im_dir}/lib
%{im_dir}/lib/libchewing.so*
%dir %{im_dir}/share
%{im_dir}/share/chewing
%endif

%changelog
* Fri Oct 29 2004 Akira TAGOH <tagoh@redhat.com> - 1:12.1-4
- leif-unit-revert-1961~1971.patch: reverted the changes for the per-user
  config stuff to avoid crashing when UNIT LE is loading. (#137007)

* Thu Oct 28 2004 Jens Petersen <petersen@redhat.com> - 1:12.1-3
- iiimf-gtk requires iiimf-libs to upgrade from FC2 without error and to run
  (137018) and iiimf-x requires iiimf-libs to run

* Wed Oct 20 2004 Akira TAGOH <tagoh@redhat.com>
- fix the ownership of %{im_dir}/share (136306)

* Wed Oct 20 2004 Jens Petersen <petersen@redhat.com>
- update gimlet-lang-data.h to fix Bengali locale and add the native names
  of some more Indic languages (134194,136139)
- gimlet buildrequires libgnomeui-devel (Warren Togami)

* Tue Oct 19 2004 Leon Ho <llch@redhat.com> - 1:12.1-2
- fix xft to work on non-UTF8 locales (127809)
- add im-sdk-12.1-x86-64-vararg.patch (Yu Shao,134035)
- merged with original Xft patch

* Mon Oct 18 2004 Jens Petersen <petersen@redhat.com> - 1:12.1-1
- update to 12.1 final (svn2002, stable r12_1 branch)
  - the following patches are included and so no longer needed:
    iiimsf-rename-and-install-under-libexec.patch,
    iiimsf-fix-missing-sockdir.patch and iiimsf-improve-segv-log.patch
  - update iiimsf-rh-debuginfo.patch
- fix debuginfo missing many files (136159)
  - add im-sdk-12.1-preserve-FLAGS.patch to prevent subpackages from overriding
    CFLAGS, CXXFLAGS and LDFLAGS so that debuginfo gets generated completely
  - include RPM_OPT_FLAGS in CFLAGS and CXXFLAGS
- add is_snapshot variable

* Sat Oct 16 2004 Akira TAGOH <tagoh@redhat.com>
- added iiimf-libs-devel Requires: iiimf-libs =
  %%{epoch}:%%{version}-%%{release} (#135977)

* Fri Oct 15 2004 Akira TAGOH <tagoh@redhat.com> - 1:12.0.1-17.svn1994
- iiimsf-fix-missing-sockdir.patch: fixed not working at all
  if /var/run/iiim/.iiimp-unix or whatever is missing. (#135750)
- iiimsf-improve-segv-log.patch: improved the log messages. (Warren Togami)

* Fri Oct 15 2004 Akira TAGOH <tagoh@redhat.com> - 1:12.0.1-16.svn1994
- iiimsf-rename-and-install-under-libexec.patch: backport patch from upstream.
  - rename the segfault logger to iiimf-segv-logger.
  - install the segfault logger under /usr/libexec, because it doesn't allow to
    run from the command line.
- fixed not working properly for -rh-debuginfo.patch.

* Fri Oct 15 2004 Jens Petersen <petersen@redhat.com> - 1:12.0.1-15.svn1994
- update to newer tree
  - our init script pushed upstream
  - less of im-sdk-20040203-build.patch now needed
  - most of im-sdk-11.4-sun-le-korean.patch committed upstream
  - the following patches are now upstream and no longer needed:
     im-sdk-icuconv-gencnval-destdir-116224.patch,
     im-sdk-CSConv-ct_conf-de-116224.patch, im-sdk-11.4-initscript.patch,
     im-sdk-11.4-initscript-lock.patch, im-sdk-11.4-iiimsf-help.patch,
     im-sdk-12.0.1-iiimsf-xmlconf.patch,
     im-sdk-12.0.1-unix-domain-socket.patch,
     im-sdk-12.0.1-iiimsf-disable-tcp.patch,
     im-sdk-12.0.1-iiimsf-letool-usage.patch,
     iiimsf-fix-htt-retrycounter.patch, iiimsf-check-libxml2-func.patch,
     iiimsf-segvlogger.patch, iiimsf-fix-handling-of-args.patch,
     gimlet-1.1.0_1.1.1.diff, gimlet-status-under-app.patch,
     iiimqcf-update.diff, leif-canna-late-aux-init.patch,
     leif-canna-close-uicontext.patch, im-sdk-11.4-hangul-ignore-ctrl.patch,
     leif-hangul-just-ko.patch, leif-unit-indic-phonetic-layouts.patch,
     leif-chewing-fix-build.patch, leif-chewing-fix-build2.patch,
     leif-freewnn-ia64.patch, leif-default.patch
  - add iiim.init-retryonerror.patch to set retryonerror to 0 in init script
  - gimlet help updated and fixed (131219)
  - build gimlet with --with-status-default-under-app
  - fixes Hindi layout default order (Jatin Nansi,135034)
- disable iiimqcf
- build and install doc/ properly
- build sun_le_korea always like sun_le_asia

* Thu Oct 14 2004 Akira TAGOH <tagoh@redhat.com>
- iiimsf-fix-handling-of-args.patch: fixed giving the options for htt to
  htt_server.
- iiimsf-rh-debuginfo.patch: don't do backtrace on gdb if -debuginfo isn't
  installed.

* Wed Oct 13 2004 Akira TAGOH <tagoh@redhat.com>
- iiimsf-check-libxml2-func.patch: check if the function is available.
  otherwise use another API.
- iiimsf-segvlogger.patch: applied to store the gdb logs when htt_server
  segfaults.

* Tue Oct 12 2004 Akira TAGOH <tagoh@redhat.com> - 1:12.0.1-14.svn1943
- leif-canna-close-uicontext.patch: close the UI context instead of finalizing
  the kana-kanji conversion. (#134039)

* Wed Oct  6 2004 Akira TAGOH <tagoh@redhat.com> - 1:12.0.1-13.svn1943
- revert applying im-sdk-12.0.1-canna-aux-refcount.patch. (#134759, #134304)
- leif-canna-late-aux-init.patch: applied this instead of. (#132340)
- leif-default.patch: applied to make a dummy LE.

* Tue Oct  5 2004 Jens Petersen <petersen@redhat.com>
- add bn_BD to list of langs that use iiimf by default (Jatin Nansi,134194)

* Mon Oct  4 2004 Jens Petersen <petersen@redhat.com> - 1:12.0.1-12.svn1943
- update gimlet to 1.1.1 which fixes problems on 64bit,
  with gimlet-1.1.0_1.1.1.diff (Warren Togami,132950)
- update iiimf-qt with iiimqcf-update.diff (svn1946)
- remove im-sdk-newpy-noinst-lt.patch and reverse patch from
  im-sdk-20040203-build.patch
- build with -Wall

* Mon Oct  4 2004 Akira TAGOH <tagoh@redhat.com>
- im-sdk-12.0.1-iiimp-bigendian.patch: removed, it's no longer needed.
- leif-freewnn-ia64.patch: applied to fix the unexpected exception. (#134181)

* Fri Oct  1 2004 Akira TAGOH <tagoh@redhat.com> - 1:12.0.1-11.svn1943
- iiimsf-fix-htt-retrycounter.patch: applied to decrease the retrycounter when
  htt_server died unfortunately with any signal event.

* Fri Oct  1 2004 Jens Petersen <petersen@redhat.com>
- iiimqcf re-enabled for now (still experimental)
  - improve iiimqcf.pro-build.patch to use rpath to find iiim libs and
    link against libs in buildtree
  - install plugin in inputmethods/
  - pass LIBDIR to qmake when building
- disable freewnnLE and update comment about it

* Thu Sep 30 2004 Leon Ho <llch@redhat.com> - 1:12.0.1-10.svn1943
- add usermod to 'upgrade' existing user to proper home dir

* Thu Sep 30 2004 Akira TAGOH <tagoh@redhat.com>
- update to svn latest snapshot
  - fixed not working the aux object on 64bit architectures
    (Yu Shao, #134135, #134137)
  - fixed not working the switching LE menu (#134203)
- gimlet_iiim_conversion_mode_set-leftover.patch: removed, it's included in
  this snapshot.
- iiimqcf.pro-build.patch: updated to fix the rejected hunk.
- added iiimf-le-chewing package, but it's disabled by default.
- added the scriptlets for iiimf-le-freewnn.
- leif-chewing-fix-build.patch, leif-chewing-fix-build2.patch: applied to fix
  failing of build.

* Thu Sep 30 2004 Jens Petersen <petersen@redhat.com>
- fix broken hangulLE postun script (134184)
- make hangulLE and kole own %{im_dir}/locale/ko_KR (Lawrence Lim)

* Wed Sep 29 2004 Jens Petersen <petersen@redhat.com>
- improve iiimecf-init.el so that the input method is registered and autoloaded
  (Albert Vilella,125769)
- add README.iiimecf to explain that htt_server needs to listen on tcp for it
  to work

* Tue Sep 28 2004 Jens Petersen <petersen@redhat.com> - 1:12.0.1-9.svn1936
- update to svn latest snapshot
  - major gimlet update: background icon now changes between
    an "off" and an "on" icon depending on the current state
    of the current input method and the current selected
    input language is written on it.  The appearance
    preferences has been cut out in preference to just using
    the desktop defaults.  When the input method status text
    is displayed in the panel, it now appears in a text
    label next to the language icon.  Fixes and improvements
    have also been made to the language quick menu.  See the
    changelog file for full details.
  - more hotkey changes in iiimcf and iiimp
- define %%branch to simplify definition of %%srclabel
- disable building of iiimqcf for now (immodule patch in qt-3.3.3-4 and later
  seems to break it)
- gimlet-lang-data.h is now upstream
- disable im-sdk-12.0.1-iiimp-disable-debug.patch for now (no longer applies)
- iiimgcf-always-status-to-atom.patch is now upstream
- gimlet-new-UI.patch is now obsolete
- add gimlet-status-under-app.patch to set the default status placement to be
  under-the-app
- added new helper files to gimlet filelist
- add gimlet_iiim_conversion_mode_set-leftover.patch to remove leftover line
- the following patches are upstream now:
  im-sdk-11.4-canna-aux.patch, im-sdk-12.0.1-canna-missing-keycode.patch,
  im-sdk-12.0.1-canna-swap-updown-and-leftright.patch,
  im-sdk-12.0.1-canna-calloc.patch, im-sdk-12.0.1-canna-int_vs_size_t.patch,
  leif-unit-indic-inscript-layouts.patch
- reduce im-sdk-11.4-sun-le-asia.patch to just touching configure.in

* Mon Sep 27 2004 Jens Petersen <petersen@redhat.com>
- run sendhup after removing LEs not before

* Wed Sep 22 2004 Jens Petersen <petersen@redhat.com>
- if not packaging freewnn LE remove it with "-f", since if FreeWnn-devel is
  not installed it doesn't get built

* Tue Sep 21 2004 Leon Ho <llch@redhat.com>
- fix im-sdk-12.0.1-iiimsf-xmlconf.patch for gcc
- remove duplicate deletion of freewnn

* Tue Sep 21 2004 Jatin Nansi <jnansi@redhat.com>
- add missing characters to the inscript layouts for UnitLE (as per the
  official layout) with leif-unit-indic-inscript-layouts.patch
- update the Bengali phonetic (probhat) layout in
  leif-unit-indic-phonetic-layouts.patch

* Fri Sep 17 2004 Jens Petersen <petersen@redhat.com>
- add switches to control building of iiimf-emacs and iiimf-qt
- add leif-hangul-just-ko.patch to make hangul LE only list itself under ko
  not ko_KR

* Thu Sep 16 2004 Akira TAGOH <tagoh@redhat.com> - 1:12.0.1-8.svn1891
- im-sdk-12.0.1-canna-int_vs_size_t.patch: applied to fix another segfaults bug
  on 64bit architecture. (#132940)

* Wed Sep 15 2004 Akira TAGOH <tagoh@redhat.com> - 1:12.0.1-7.svn1891
- use %%{im_dir} macro for htt's home directory instead of /usr/lib/im.
  (#132632)

* Mon Sep 13 2004 Akira TAGOH <tagoh@redhat.com>
- im-sdk-12.0.1-canna-calloc.patch: applied to fix the corrupt memory access.
  (Warren Togami, #132108)
- im-sdk-12.0.1-canna-aux-refcount.patch: applied to destroy the aux object
  when it's not used. (#132508)
  NOTE: if the process is already running, you have to kill it first to get
        working properly.

* Thu Sep 09 2004 Akira TAGOH <tagoh@redhat.com> 1:12.0.1-6.svn1891
- im-sdk-12.0.1-iiimsf-letool-usage.patch: improve the help message.
- contained syscfg.h to iiimf-libs-devel.

* Wed Sep  8 2004 Jens Petersen <petersen@redhat.com> - 1:12.0.1-5.svn1891
- add iiimgcf-always-status-to-atom.patch to write to the status atom
  even when the status is attached to the application
- drop all explicit requires on iiimf-libs
- drop superfluous iiimf-gtk %%post requires
- LEs now require iiimf-server without specific EVR
- iiimf-server now requires iiimf-csconv without specific EVR

* Wed Sep 08 2004 Akira TAGOH <tagoh@redhat.com>
- im-sdk-12.0.1-canna-swap-updown-and-leftright.patch: updated to fix an enbug
  that not working properly for the keybinding on the preedit line.

* Tue Sep 07 2004 Akira TAGOH <tagoh@redhat.com> 1:12.0.1-4.svn1891
- disabled iiimf-le-newpy, iiimf-le-sun-korea and iiimf-le-sun-chinese package
  for now.
- iiimecf-init.el: fixed a typo (#131940)
- fixed a spec to build without those packages.

* Mon Sep 06 2004 Akira TAGOH <tagoh@redhat.com>
- im-sdk-12.0.1-canna-swap-updown-and-leftright.patch: applied to move
  the cursor up/down with Up/Down key on the candidate window.

* Mon Sep  6 2004 Jens Petersen <petersen@redhat.com>
- remove devel files from iiimf-gtk

* Fri Sep 03 2004 Akira TAGOH <tagoh@redhat.com>
- im-sdk-12.0.1-canna-missing-keycode.patch: applied to deliver some missing
  keycode to cannaserver. (#120484)

* Wed Sep  1 2004 Jatin Nansi <jnansi@redhat.com> - 1:12.0.1-3.svn1891
- add phonetic layouts for Bengali, Devanagari, Gurmukhi and Gujarati for
  unitle with leif-unit-indic-phonetic-layouts.patch

* Wed Sep 01 2004 Akira TAGOH <tagoh@redhat.com>
- im-sdk-12.0.1-iiimp-disable-debug.patch: don't output the debug message.
  (#131335)
- im-sdk-12.0.1-unix-domain-socket.patch: use /var/run/iiim instead of /tmp.
- im-sdk-12.0.1-iiimsf-disable-tcp.patch: don't listen on tcp by default.
  NOTE: all of the applications which is using IIIMF needs to be restarted as
        well after upgrading.

* Tue Aug 31 2004 Akira TAGOH <tagoh@redhat.com> 1:12.0.1-2.svn1891
- im-sdk-12.0.1-iiimsf-xmlconf.patch: applied to use the xml configuration
  files for all of configuration stuff. htt.conf will be replaced by
  htt.xml.conf then.
  NOTE: since htt.conf isn't marked as %%config, it's always replaced with new
        one. for people who modified it manually, old htt.conf will be stored
        as /etc/htt.conf.old. and /etc/iiim/htt.xml.conf is now marked as
        %%config.
        please modify it manually if you like. and please feel free to
        remove /etc/htt.conf.old after that.
- im-sdk-11.4-sysconfdir.patch: removed so that no longer need.
- im-sdk-11.4-htt-local-permit.patch: removed so that no longer need.
- im-sdk-11.4-iiimsf-xmlconf.patch: removed so that no longer need.

* Tue Aug 31 2004 Jens Petersen <petersen@redhat.com>
- drop fc2 compatibility symlink in /etc/init.d/ since it breaks chkconfig
  (Wes Shull, 129829)
- buildrequire FreeWnn-devel and flex if building -le-freewnn (Warren Togami)
- iiimf-emacs now requires emacs
- do not remove install root in %%prep

* Mon Aug 30 2004 Akira TAGOH <tagoh@redhat.com>
- im-sdk-11.4-canna-aux.patch: applied to enable the aux window for
  Canna LE. (#122165)

* Thu Aug 26 2004 Akira TAGOH <tagoh@redhat.com> 1:12.0.1-1.svn1891
- New upstream release.
- im-sdk-12.0.1-iiimp-bigendian.patch: fixed missing macros.

* Wed Aug 25 2004 Akira TAGOH <tagoh@redhat.com> 1:12.0-1.svn1887
- New upstream release.
  - fixed the root access always denied. (#128608)
- im-sdk-20040203-build.patch: updated to fix rejected hunk
- im-sdk-11.4-xiiimp-no-decoration.patch: no longer needed.
- im-sdk-11.4-xiiimp-no-taskbar.patch: no longer needed.
- im-sdk-11.4-xiiimp-hide-status-window.patch: no longer needed.
- im-sdk-11.4-xiiimp-locale.patch: no longer needed.

* Mon Aug 23 2004 Jens Petersen <petersen@redhat.com> - 1:11.4-70.svn1875
- update to current svn snapshot
  - update iiimqcf.pro-build.patch again
- add a major update to gimlet with lots of bug fixes and UI cleanup
  to the applet, menus and tooltip with gimlet-new-UI.patch:
  the constrained pixmap is replaced by two simple clean text labels
  (one for the current input language and one for the status)
  - gimlet-init-visible.patch no longer needed
  - added some missing language names in native languages
  - run gnome-im-settings-daemon from xinput.d script again
  - by default status is under application now
  - separate the language data into gimlet-lang-data.h
- move .m4 files to a subdir of the aclocal dir (127117)

* Thu Aug 12 2004 Akira TAGOH <tagoh@redhat.com> 1:11.4-70.svn1856
- im-sdk-11.4-iiimsf-daemon.patch: get back daemon(3) to avoid the hangup
  in initscript.
- im-sdk-11.4-iiimsf-help.patch: show the help messages if -h or --help is
  given for htt, and exits immediately if htt_server returns the exit status
  of the unknown options. (#129720)
- im-sdk-11.4-iiimsf-xmlconf.patch: updated to fix segfault when the requested
  language is nothing.

* Thu Aug 12 2004 Jens Petersen <petersen@redhat.com>
- make le-sun-thai and le-sun-chinese obsolete le-sun-asia

* Wed Aug 11 2004 Jens Petersen <petersen@redhat.com> - 1:11.4-69.svn1856
- update to upstream svn1856 snapshot
  - sun_le_korea-gcc34-prototype.patch no longer needed
  - update iiimqcf.pro-build.patch
  - drop the watchdog.c hunk in im-sdk-20040203-build.patch
  - im-sdk-11.4-iiimsf-errorhandling.patch is now upstream
- order subpackages lexically in spec file with LEs coming afterwards
- merge iiimf-client-lib and iiimf-protocol-lib into new iiimf-libs subpackage
  and their -devel packages into iiimf-libs-devel
- add header files from include dir to iiimf-libs-devel (127118)
- include aclocal .m4 files in iiimf-libs-devel doc dir (127117)
- order CONFIGDIRS as in top Makefile
- define %%configure and use it
- remove xiiimp.a and xiiimp.la from iiimf-x
- make all subdirs of im_dir owned
- fix ownership of gimlet files (129494)

* Mon Aug 09 2004 Akira TAGOH <tagoh@redhat.com> 1:11.4-69.svn1833
- im-sdk-11.4-iiimsf-errorhandling.patch:
  - use syslog(3) instead of perror(3)

* Fri Aug 06 2004 Akira TAGOH <tagoh@redhat.com>
- im-sdk-11.4-iiimsf-errorhandling.patch:
  - don't eat 100% CPU. (#126647)
  - provide the error message on syslog when htt_server seriously failed.
  - don't retry unlimitedly. specify the number of times with -retry, otherwise
    watchdog program(htt) will try to run htt_server 5 times by default.

* Thu Aug  5 2004 Jens Petersen <petersen@redhat.com> - 1:11.4-68.svn1833
- point url to IIIMF homepage
- change gimlet-init-visible.patch to init status to "GIMLET" instead of "OFF"
- split gimlet out of iiimf-gtk into iiimf-gnome-im-switcher
- add switches to control whether freewnn and Korean and Chinese Sun LEs get
  built and packaged or not: not sun_le_asia is always built and installed
  since it contains the Sun Thai LE which seems to work well
- split iiimf-le-sun-asia into iiimf-le-sun-chinese and iiimf-le-sun-thai
- build iiimf-le-freewnn for now

* Thu Aug 05 2004 Akira TAGOH <tagoh@redhat.com>
- im-sdk-11.4-iiimsf-xmlconf.patch: updated.
  - check the module's path to get -ifpath_name working.
  - fixed the memory breakage.

* Sat Jul 31 2004 Jens Petersen <petersen@redhat.com>
- create %%qt_im_dir directory
- hardcode %%qt_im_dir to workaround buildsystem peculiarities

* Fri Jul 30 2004 Akira TAGOH <tagoh@redhat.com> 1:11.4-67.svn1833
- im-sdk-11.4-iiimsf-xmlconf.patch: updated.
  - if htt_server couldn't find out the LEs on the requested language, i.e. LE
    isn't registered to le.xml.conf by iiimf-le-tools, fallback to find out
    with the traditional way.
  - when LE is removed from le.xml.conf by iiimf-le-tools and it was last
    entry, remove le.xml.conf.
  - allow to run htt_server without le.xml.conf.
- send SIGHUP to reload the configuration when LEs are installed/removed.
- use %%preun instead of %%postun for removing LEs from the configuration file.

* Fri Jul 30 2004 Akira TAGOH <tagoh@redhat.com> 1:11.4-66.svn1833
- don't replace le.xml.conf when upgrade.
- don't run iiimf-le-tools on %%postun when upgrade.

* Thu Jul 29 2004 Jens Petersen <petersen@redhat.com> - 1:11.4-65.svn1833
- update to 2004-07-26-1833 snapshot
  - no longer need im-sdk-11.4-gimlet-status-off-string.patch,
    im-sdk-11.4-newpy-hide-status-window.patch and
    im-sdk-11.4-unit-hide-status-window.patch
- include qt immodule in new subpackage iiimf-qt
  - add iiimqcf.pro-build.patch to find include files and libdirs
  - define %%qt_im_dir to install into
  - reset QTDIR for buildroots
- add gimlet-init-visible.patch to make gimlet visible at startup
- no longer run gnome-im-settings-daemon from xinput.d script
- use %%snapdate to carry the date of the snapshot
- drop intltools requirement of source pkg
- drop explicit buildrequires and requires for iiimf-gtk
- buildrequire libxml2-devel

* Thu Jul 29 2004 Akira TAGOH <tagoh@redhat.com>
- im-sdk-11.4-iiimsf-xmlconf.patch: applied to determine default LE per
  languages.

* Mon Jul 26 2004 Jens Petersen <petersen@redhat.com>
- no longer include im-switch, since there is new system-switch-im package

* Tue Jul 20 2004 Jens Petersen <petersen@redhat.com> - 1:11.4-65.svn1804
- update to svn revision 1804 snapshot
  - the following patches are no longer needed: im-sdk-11.4-gcc34.patch,
    im-sdk-11.4-canna-support-bs-and-del.patch,
    im-sdk-11.4-canna-user-init-file.patch,
    im-sdk-11.4-canna-draw-off-status.patch,
    im-sdk-11.4-canna-no-process-unrelated-keys.patch,
    im-sdk-11.4-canna-ignore-ctrl.patch,
    im-sdk-11.4-canna-hide-status-window.patch
  - update im-sdk-11.4-sun-le-korean.patch
  - disable im-sdk-11.4-hangul-hide-status-window.patch for now
  - add sun_le_korea-gcc34-prototype.patch
- drop explicit Canna-libs requirement of iiimf-le-canna 
- don't package freewnnLE for now
- clean buildroot before installing

* Tue Jul 13 2004 Jens Petersen <petersen@redhat.com>
- run gnome-im-settings-daemon for gimlet if available in xinput.d script
- fix im-switch to look at LC_CTYPE before LANG and exit properly in auto
  when no system config for language 
- drop unused patches from srpm
- update summary and description of src package

* Thu Jul  8 2004 Akira TAGOH <tagoh@redhat.com>
- im-sdk-11.4-gimlet-status-off-string.patch: changed the off string to 'OFF'
  to avoid the confusion.
- im-sdk-11.4-unit-hide-status-window.patch: updated and applied again.

* Mon Jul  5 2004 Jens Petersen <petersen@redhat.com> - 1:11.4-65.svn1772
- add a symlink "IIim" to the xinit.d script to smooth upgrades
- update im-switch to use alternatives and xinput.d

* Thu Jul  1 2004 Jens Petersen <petersen@redhat.com> - 1:11.4-64.svn1772
- add comment about %%revision and %%release numbering
- add xinput.d script to iiimf-gtk and iiimf-x
- define macros to install and uninstall xinput.d script with alternatives
  currently for CJK and Indian locale
- only uninstall alternative if the iiimf xinput.d script has been totally
  removed (since both -x and -gtk own it)
- rename init.d script to all lowercase "iiim"
- drop unnecessary openmotif requirement and openmotif-devel buildrequires
  for newpy

* Wed Jun 30 2004 Yu Shao <yshao@redhat.com> 1:11.4-63.svn1772
- remove immodule script requirement, use package requirement of gtk2 only
- check existence before running: update-gtk-immodule or
  gtk-query-immodules-2.0

* Tue Jun 29 2004 Akira TAGOH <tagoh@redhat.com>
- im-sdk-11.4-gcc34.patch: applied to fix the build issue with gcc34.

* Mon Jun 28 2004 Dan Williams <dcbw@redhat.com> - 1:11.4-62.svn1772
- Fix useage of "%{_bindir}/update-gtk-immodules %{_host}" to point to right
    place and architecture

* Fri Jun 25 2004 Matthias Clasen <mclasen@redhat.com> - 1:11.4-62.svn1772
- Update to the new mechanism of updating arch-dependent gtk config files.

* Fri Jun 25 2004 Yu Shao <yshao@redhat.com> 1:11.4-62
- enable sun_le_asia and sun_le_korea for revision 1772 snapshot build 
- Patch351: im-sdk-11.4-sun-le-asia.patch
- Patch352: im-sdk-11.4-sun-le-korean.patch

* Wed Jun 23 2004 Jens Petersen <petersen@redhat.com>
- append svn revision to %%release (116223)
- im-switch: don't override i18n file (Descender,126542)
  and output string improvements
- iiimecf-init.el: don't be the default input method by default

* Mon Jun 21 2004 Akira TAGOH <tagoh@redhat.com>
- im-sdk-11.4-hangul-hide-status-window.patch: applied to fix another problem.
  the upstream's one isn't enough to fix the problem.
- im-sdk-11.4-xiiimp-hide-status-window.patch: updated to fix the status window
  for Canna LE in this release.

* Sun Jun 20 2004 Yu Shao <yshao@redhat.com> 1:11.4-60
- openi18n revision 1772 snapshot build 

* Thu Jun 17 2004 Yu Shao <yshao@redhat.com> 1:11.4-46
- rebuild for fc2

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jun 08 2004 Akira TAGOH <tagoh@redhat.com>
- im-sdk-11.4-newpy-hide-status-window.patch: applied to hide the status window
  when it's witched off. (#118114)
- im-sdk-11.4-unit-hide-status-window.patch: likewise. (#118114)

* Thu Jun 03 2004 Akira TAGOH <tagoh@redhat.com>
- im-sdk-11.4-xiiimp-locale.patch: fixed to run httx with .UTF-8 locale.

* Wed May 19 2004 Akira TAGOH <tagoh@redhat.com>
- im-sdk-11.4-xiiimp-no-taskbar.patch: another fix to hide the status window
  from the taskbar. (#121818)
- im-sdk-11.4-canna-hide-status-window.patch: applied to hide the status window
  when it's switched off. (#118114)
- im-sdk-11.4-hangul-hide-status-window.patch: likewise. (#118114)
- im-sdk-11.4-xiiimp-hide-status-window.patch: likewise. (#118114)
- im-sdk-11.4-gimlet-status-off-string.patch: applied to show the status when
  given status is empty. (#118114)

* Wed May 19 2004 Yu Shao <yshao@redhat.com> 1:11.4-44
- fixed bug #123021, Changing preferences causes gimlet to eat 80% of CPU 

* Fri May 14 2004 Jens Petersen <petersen@redhat.com>
- improve im-switch's option handling and help somewhat

* Mon May 10 2004 Warren Togami <wtogami@redhat.com> 1:11.4-43
- im-sdk-11.4-htt-local-permit.patch: Allow htt connections when DNS does not
  match: fixes CJK for many users.  FC2 BLOCKER #121480

* Mon May 10 2004 Akira TAGOH <tagoh@redhat.com> 1:11.4-42
- im-sdk-11.4-initscript-lock.patch: to avoid the conflicts, which causes 100%
  CPU eaten. (Warren Togami, FC2 BLOCKER #122631)

* Fri Apr 23 2004 Akira TAGOH <tagoh@redhat.com> 1:11.4-41
- im-sdk-11.4-xiiimp-no-decoration.patch: disabled all of the window decoration
  for the status window. (#121018)

* Mon Apr 19 2004 Akira TAGOH <tagoh@redhat.com> 1:11.4-40
- fixed an owner of im-switch (FC2 BLOCKER #121136)

* Sat Apr 17 2004 Jens Petersen <petersen@redhat.com> - 1:11.4-39
- add im-switch script to iiimf-x (Leon Ho)
- build iiimecf and put in iiimf-emacs subpackage
  - buildrequire emacs and add iiimecf-init.el to site-start.d
- buildrequire gnome-panel-devel not gnome-panel

* Fri Apr 16 2004 Akira TAGOH <tagoh@redhat.com> 1:11.4-38
- gave %dir /usr/lib/im to the packages, which is needed.
- removed %dir /usr/lib/im from iiimf-server.
  it no longer contains that directory.
- im-sdk-11.4-canna-ignore-ctrl.patch: applied to fix "should ignore Ctrl key"
  issue. (#120484)
- im-sdk-11.4-hangul-ignore-ctrl.patch: applied to fix "should ignore Ctrl key"
  issue. (#120484)

* Thu Apr 15 2004 Akira TAGOH <tagoh@redhat.com> 1:11.4-37
- im-sdk-11.4-sysconfdir.patch: applied to move htt.conf to /etc.
  it's comfortable for SELinux and FHS.
- im-sdk-bin_dir.patch: modified to move htt_xbe to /usr/bin as well.
  it's actually running by the user. not system command.
- removed /usr/lib/im/bin/*. no need to ship rubbishes.

* Tue Apr 6 2004 Yu Shao <yshao@redhat.com>
- fixed a bug of candidates in lookup window are mixed up when there are 
  multiple characters for each candidate, updated Patch13: 
  im-sdk-x-xft.patch -35
- moved httx into bindir -35
- fixed a English typo from upstream, bug #120152 -36

* Sun Apr 4 2004 Yu Shao <yshao@redhat.com>
- fixed bug #119419

* Thu Apr 01 2004 Akira TAGOH <tagoh@redhat.com> 1:11.4-33
- rebuilt against the latest Canna to satisfy the dependency.

* Sun Mar 28 2004 Yu Shao <yshao@redhat.com> 1:11.4-32
- fixed typos in -bin_dir.patch

* Fri Mar 26 2004 Yu Shao <yshao@redhat.com> 1:11.4-31
- moved all binaries to /usr/sbin to make SElinux happy

* Thu Mar 25 2004 Yu Shao <yshao@redhat.com> 1:11.4-30
- update patch from #118702 and #118650
- rebuild to get GTK2_BINARY_VERSION updated

* Sun Mar 21 2004 Yu Shao <yshao@redhat.com> 1:11.4-29
- fixed a bug in im-sdk-x-xft.patch causing httx to crash when apps quit

* Sun Mar 21 2004 Yu Shao <yshao@redhat.com> 1:11.4-28
- updated patch im-sdk-x-xft.patch
- added patch for bug 118702, im-sdk-iiimgcf-candwin_reposition.patch

* Tue Mar 16 2004 Mike A. Harris <mharris@redhat.com> 1:11.4-27
- Removed XFree86-libs dependancy, as this makes the package dependant on
  the specific XFree86 implementation and makes it impossible to remove
  XFree86 from the distribution and replace it with xorg-x11.  If there is
  particular requirement here, be sure to use versioned BuildRequires on the
  XFree86-devel package instead in the main package section, and the libs
  should automatically get picked up by rpm find-requires during packaging,
  without the explicit Requires.  (#118474)
- Added "Requires(post,postun): %{_bindir}/gtk-query-immodules-2.0" to the
  iiimf-gtk subpackage
- Added the following dependancies to the iiimf-server subpackage:
  - Requires(pre):  /usr/sbin/useradd
  - Requires(post): /sbin/chkconfig
  - Requires(preun): /sbin/service, /sbin/chkconfig, /usr/sbin/userdel
  - Requires(postun): /sbin/service
- Use /sbin/service explicitly in rpm scripts
- Fixed bug where /sbin/userdel was being called instead of /usr/sbin/userdel
  in the iiimf-server preun script

* Fri Mar 12 2004 Yu Shao <yshao@redhat.com>
- disable patch gimlet-korean-name-115423.patch, to fix gimlet won't start bug
  (#115423)

* Thu Mar 11 2004 Yu Shao <yshao@redhat.com>
- updated to latest revision 1587

* Thu Mar 11 2004 Jens Petersen <petersen@redhat.com> - 1:11.4-24
- install htt in %{_sbindir} and httx in %{_bindir} (part of #117931)
- update im-sdk-11.4-initscript.patch to use %{_sbindir}/htt
  and improve start and stop messages (#117455)
- only "make config" for subdirs we don't run autogen.sh in
- export CFLAGS in %%build

* Thu Mar 4 2004 Yu Shao <yshao@redhat.com>
- add xft patch to display candidate characters properly in httx(#117355)
- fix package requirements(#117353)

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Sun Feb 29 2004 Florian La Roche <Florian.LaRoche@redhat.de>
- mv /etc/init.d -> /etc/rc.d/init.d

* Fri Feb 27 2004 Jens Petersen <petersen@redhat.com> - 1:11.4-20
- make iiimf-server obsolete im-sdk

* Fri Feb 27 2004 Akira TAGOH <tagoh@redhat.com> 1:11.4-19
- im-sdk-11.4-canna-no-process-unrelated-keys.patch: applied to allow working
  unrelated keys during no preediting. (#114002)
- im-sdk-11.4-canna-draw-off-status.patch: fixed crash issue.

* Thu Feb 26 2004 Akira TAGOH <tagoh@redhat.com> 1:11.4-18
- im-sdk-11.4-canna-user-init-file.patch: applied to allow to use user owned
  .canna file.
- im-sdk-11.4-canna-draw-off-status.patch: applied to fix empty status window
  (#116444)
- im-sdk-11.4-initscript.patch: use --user for htt daemon and don't use suid.
  (#116904)

* Wed Feb 25 2004 Yu Shao <yshao@redhat.com>
- let htt, httx run as user htt instead of root(#116556) 

* Tue Feb 24 2004 Akira TAGOH <tagoh@redhat.com> 1:11.4-16
- im-sdk-11.4-canna-support-bs-and-del.patch: hopefully applied to fix #112291.

* Fri Feb 20 2004 Yu Shao <yshao@redhat.com>
- updated im-sdk-20040203-build.patch, closed init start bug (#115285) 

* Fri Feb 20 2004 Jens Petersen <petersen@redhat.com> - 1:11.4-14
- do not specify Canna version, instead make leif modules executable for
  find-requires (#113999)
- avoid newpy libtool lib install with im-sdk-newpy-noinst-lt.patch
- buildrequire openmotif-devel, iiimf-le-newpy requires openmotif
- make subpackage require current EVR
- improve subpackage groups and drop superfluous autoreqprov's
- rename prefix to im_dir and use it throughout

* Thu Feb 19 2004 Yu Shao <yshao@redhat.com>
- build errors, patches from Jens Petersen (#116224)

* Thu Feb 19 2004 Jens Petersen <petersen@redhat.com>
- iiimf-le-canna requires Canna-libs not Canna (#113999)
- use "=" not ">=" for the Canna version dependency

* Wed Feb 18 2004 Warren Togami <wtogami@redhat.com> r11.4-13
- BR automake16, libtool, GConf2-devel, libglade2-devel, gnome-panel, gettext
- spec cleanups

* Mon Feb 16 2004 Yu Shao <yshao@redhat.com> r11.4-12
- #115423, Patch from Jens Petersen

* Mon Feb 16 2004 Yu Shao <yshao@redhat.com> r11.4-11
- #115215, init script doesn't show ok bug
- #113922, gconf error bug

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 10 2004 Yu Shao <yshao@redhat.com> r11.4-9
- #115217, gnonme-im-switcher-applet doesn't start bug

* Fri Feb 6 2004 Yu Shao <yshao@redhat.com> r11.4-8
- more bug fixes, gtk crashing #112290, library inclusion #113925

* Wed Feb 5 2004 Yu Shao <yshao@redhat.com> r11.4-7
- more bug fixes, canna requirement and initscript

* Tue Feb 4 2004 Yu Shao <yshao@redhat.com> r11.4-6
- exclude .svn and change the version using dot
- add obsolete im-sdk and intltool version requirements

* Tue Feb 4 2004 Yu Shao <yshao@redhat.com> r11_4-5
- latest snapshot from openi18n.org

* Fri Jan 9 2004 Yu Shao <yshao@redhat.com> r11_4-4
- fixed packages requirements 

* Fri Dec 19 2003 Yu Shao <yshao@redhat.com> r11_4-3
- latest snapshot build and package splitting according to the 
  discussions on openi18n-im@openi18n.org

* Tue Nov 25 2003 Thomas Woerner <twoerner@redhat.com> 1:11_4-2
- fixed libdir problem

* Tue Nov 18 2003 Thomas Woerner <twoerner@redhat.com>
- Fixed RPATH: Fixed prefix in %%build, simplified %%install,
  Readded BuildRequires for Canna-devel (for CannaLE.so, ..)

* Tue Aug 26 2003 Yu Shao <yshao@redhat.com> r11_4
- im-sdk r11_4 release build
  obsolete Patch4: xiiimp-status_no_status_text.patch

* Tue Jul 29 2003 Bill Nottingham <notting@redhat.com> r11_3.3
- fix build on ia64, enable it

* Thu Jun 19 2003 Yu Shao <yshao@redhat.com> r11_3.2
- added Patch4: xiiimp-status_no_status_text.patch

* Wed Jun 18 2003 Yu Shao <yshao@redhat.com> r11_3.1
- im-sdk r11_3 new release build
  updated im-sdk-20030618-build.patch and
          im-sdk-20030618-varargs.patch

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu May 22 2003 Jeremy Katz <katzj@redhat.com> 20030507-3
- fix to build with gcc 3.3

* Thu May 8 2003 Yu Shao <yshao@redhat.com> 20030507-2
- im-sdk r11_2 missing library fix

* Wed May 7 2003 Yu Shao <yshao@redhat.com> 20030507-1
- im-sdk r11_2 release

* Fri May 2 2003 Yu Shao <yshao@redhat.com> 20030327-3
- patch to fix broken dep #89813

* Mon Apr 28 2003 Tim Powers <timp@redhat.com> 20030327-2
- rebuild to fix broken dep

* Thu Mar 27 2003 Yu Shao <yshao@redhat.com>
- new r11_1 build

* Mon Feb 24 2003 Elliot Lee <sopwith@redhat.com>
- debuginfo rebuild

* Sun Feb 23 2003 Tim Powers <timp@redhat.com>
- added buildprereq on tcp_wrappers

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Jan 22 2003 Yu Shao <yshao@redhat.com>
- added several 64bit patches to build it on all 
  architectures

* Mon Jan 20 2003 Yu Shao <yshao@redhat.com>
- new 20030118 build

* Thu Jan 16 2003 Yu Shao <yshao@redhat.com>
- new codebase with EIMIL/PCE interim implemention
- spec file update
- im-sdk-20030110-buildpatch.patch

* Thu Oct 7 2002 Yu Shao <yshao@redhat.com>
- experimental implementation IIIMSF CVS

* Thu Oct 3 2002 Yu Shao <yshao@redhat.com>
- new stable branch CVS

* Thu Aug 15 2002 Yu Shao <yshao@redhat.com>
- new 20020813 CVS, disable patch2

* Sat Aug 10 2002 Elliot Lee <sopwith@redhat.com>
- rebuilt with gcc-3.2 (we hope)

* Tue Jul 23 2002 Tim Powers <timp@redhat.com> 20011223-7
- build using gcc-3.2-0.1

* Thu Jul 18 2002 Akira TAGOH <tagoh@redhat.com> 20011223-6
- add the owned directory.

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Mar 26 2002 Yukihiro Nakai <ynakai@redhat.com>
- Add some fix for ia64,alpha
- Add strlcpy/strlcat patch, #61898

* Sun Dec 30 2001 Yukihiro Nakai <ynakai@redhat.com>
- Initial release
